Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 561016 - sys-fs/dd-rescue-1.46: tests fail if /bin/sh -> dash
Summary: sys-fs/dd-rescue-1.46: tests fail if /bin/sh -> dash
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2015-09-21 12:52 UTC by Paolo Pedroni
Modified: 2017-11-07 14:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
dd-rescue-1.46:20150921-114416.log.gz (dd-rescue-1.46:20150921-114416.log.gz,15.69 KB, application/gzip)
2015-09-21 12:52 UTC, Paolo Pedroni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2015-09-21 12:52:38 UTC
Created attachment 412438 [details]
dd-rescue-1.46:20150921-114416.log.gz

Setting /bin/sh as /bin/bash works fine.

From the build log:
[...]
if test 1 = 1; then make check_lzo; fi
make[1]: Entering directory '/var/tmp/portage/sys-fs/dd-rescue-1.46/work/dd_rescue'
-p: not found
lzop: not found
-P: not found
true is a shell builtin
-p: not found
lzop: not found
-P: not found
true is a shell builtin
-p: not found
lzop: not found
-P: not found
true is a shell builtin
-p: not found
lzop: not found
-P: not found
true is a shell builtin
-p: not found
lzop: not found
-P: not found
true is a shell builtin
***** dd_rescue lzo (and MD5) plugin tests *****
./dd_rescue -b32k -ATL ./libddr_lzo.so dd_rescue dd_rescue.ddr.lzo
dd_rescue: (info): Using softbs=32.0kiB, hardbs=4.0kiB
dd_rescue: (info): expect to copy 67.8kiB from dd_rescue
dd_rescue: (info): read dd_rescue (67.8kiB): EOF
dd_rescue: (info): Summary for dd_rescue -> dd_rescue.ddr.lzo
dd_rescue: (info): ipos:        67.8k, opos:        42.4k, xferd:        67.8k
                   errs:      0, errxfer:         0.0k, succxfer:        42.4k
             +curr.rate:   176615kB/s, avg.rate:   176615kB/s, avg.load: 96.8%
             >-.......................................-< 100%  TOT:  0:00:00 
dd_rescue: (info): lzo(0): lzo1x_1_compress 42.3kiB (62%) + 112 <- 67.8kiB
t dd_rescue.ddr.lzo
make[1]: t: Command not found
Makefile:390: recipe for target 'check_lzo' failed
make[1]: [check_lzo] Error 127 (ignored)
fd dd_rescue.ddr.lzo
make[1]: fd: Command not found
Makefile:390: recipe for target 'check_lzo' failed
make[1]: [check_lzo] Error 127 (ignored)
cmp dd_rescue dd_rescue.ddr
./dd_rescue -b256k -L ./libddr_MD5.so=output,./libddr_lzo.so=compress,./libddr_MD5.so=output dd_rescue dd_rescue.ddr.lzo > dd_rescue.ddr.MD5SUM
dd_rescue: (info): Using softbs=256.0kiB, hardbs=4.0kiB
dd_rescue: (info): expect to copy 67.8kiB from dd_rescue
dd_rescue: (info): read dd_rescue (67.8kiB): EOF
dd_rescue: (info): Summary for dd_rescue -> dd_rescue.ddr.lzo
dd_rescue: (info): ipos:        67.8k, opos:        41.0k, xferd:        67.8k
                   errs:      0, errxfer:         0.0k, succxfer:        41.0k
             +curr.rate:   111915kB/s, avg.rate:   111915kB/s, avg.load: 98.6%
             >-.......................................-< 100%  TOT:  0:00:00 
dd_rescue: (info): MD5(0): md5 dd_rescue (0-69448): 04cb780492fb3fa1ea49f53fa287f941
dd_rescue: (info): lzo(1): lzo1x_1_compress 41.9kiB (62%) + 80 <- 67.8kiB
dd_rescue: (info): MD5(2): md5 dd_rescue.ddr.lzo (0-42998): 565ca42f670d1de273c2044eadd1e7c6
md5sum -c dd_rescue.ddr.MD5SUM
dd_rescue: OK
dd_rescue.ddr.lzo: OK
md5sum dd_rescue dd_rescue.ddr.lzo
04cb780492fb3fa1ea49f53fa287f941  dd_rescue
565ca42f670d1de273c2044eadd1e7c6  dd_rescue.ddr.lzo
Nvl dd_rescue.ddr.lzo
make[1]: Nvl: Command not found
Makefile:390: recipe for target 'check_lzo' failed
make[1]: [check_lzo] Error 127 (ignored)
[...]

# emerge --info
Portage 2.2.20.1 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-4.9.3, glibc-2.20-r2, 4.0.5-gentoo x86_64)
=================================================================
System uname: Linux-4.0.5-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16125480 total,    546844 free
KiB Swap:    8171516 total,   8146320 free
Timestamp of repository gentoo: Mon, 21 Sep 2015 10:15:01 +0000
sh dash 0.5.8.2
ld GNU gold (Gentoo 2.25.1 p1.1 2.25.1) 1.11
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.3_p39::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10::gentoo, 3.4.2::gentoo
dev-util/ccache:          3.1.9-r4::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.17::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo                                                                                                     
Repositories:                                                                                                                                 
                                                                                                                                              
gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

kde
    location: /var/lib/layman/kde
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo kde
    priority: 0

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 1

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=sandybridge -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -flto=8 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=sandybridge -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -flto=8 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going y --with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks ipc-sandbox merge-sync news parallel-fetch protect-owned sandbox sfperms split-elog split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gd.tuwien.ac.at/opsys/linux/gentoo/ http://gentoo.tiscali.nl/ http://de-mirror.org/gentoo/ http://mirror.netcologne.de/gentoo/ http://mirror.leaseweb.com/gentoo/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -flto=8 -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
MAKEOPTS="-j11"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib acl acpi adns alsa amd64 ao audiofile bash-completion bluetooth branding bzip2 cairo caps cdda cddb cdparanoia cdr cli cracklib crypt css cups curl cxx dbus declarative dga djvu dri dts dvd dvdr emboss encode exif expat fbcon ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gd gdbm geoip gif gimp glamor gmp gnutls gphoto2 gpm graphviz gstreamer gtk handbook iconv icu idn imagemagick imlib ipv6 java javascript jbig jpeg jpeg2k kde kipi lame lcms libass libcaca libnotify libsamplerate lm_sensors lua lzma lzo mad mmap mmx mmxext mng modules mp3 mp4 mpeg mplayer multilib musicbrainz ncurses nls nptl nsplugin offensive ogg openal openexr opengl openmp pam pango pcre pdf phonon plasma png policykit postscript ppds pulseaudio qml qt3support qt4 qt5 rdesktop readline recode samba sdl seccomp semantic-desktop session smartcard sndfile sockets speex spell sqlite sse sse2 ssl startup-notification subversion svg symlink syslog systemd sysvipc taglib theora threads tidy tiff truetype udev udisks unicode upower usb vaapi vcd vim-syntax vnc vorbis wayland widgets win32codecs wmf wxwidgets x264 xattr xcb xcomposite xine xinerama xml xpm xscreensaver xv xvid yahoo zlib" ABI_X86="64" ALSA_CARDS="hda-intel virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="kodak ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver" LINGUAS="it" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 pypy pypy3" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

# emerge -1pqv =sys-fs/dd-rescue-1.46
[ebuild   R   ] sys-fs/dd-rescue-1.46  USE="lzo xattr -static" CPU_FLAGS_X86="sse4_2 -avx2"
Comment 1 Thomas Deutschmann gentoo-dev Security 2017-10-30 21:12:33 UTC
Should be fixed in latest ebuild. At least for me,

=sys-fs/dd-rescue-1.99.6-r1

is passing tests with

# ls -lv /bin/sh
lrwxrwxrwx 1 root root 9 May  5 17:33 /bin/sh -> /bin/dash
Comment 2 Paolo Pedroni 2017-11-07 14:32:41 UTC
(In reply to Thomas Deutschmann from comment #1)
> Should be fixed in latest ebuild. At least for me,
> 
> =sys-fs/dd-rescue-1.99.6-r1
> 
> is passing tests with
> 
> # ls -lv /bin/sh
> lrwxrwxrwx 1 root root 9 May  5 17:33 /bin/sh -> /bin/dash

I can confirm sys-fs/dd-rescue-1.99.6-r1 fixes this issue for me.

Thanks.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-11-07 14:51:13 UTC
Thanks for confirmation.